net.minecraftforge.oredict

## Class OreDictionary

- java.lang.Object
- - net.minecraftforge.oredict.OreDictionary

-     public class OreDictionary
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OreDictionary.OreRegisterEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.ArrayList<ItemStack>` | `EMPTY_LIST`
    `static int` | `WILDCARD_VALUE` Minecraft changed from -1 to Short.MAX_VALUE in 1.5 release for the "block wildcard".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OreDictionary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getOreID(ItemStack stack)` Deprecated.
    `static int` | `getOreID(java.lang.String name)` Gets the integer ID for the specified ore name.
    `static int[]` | `getOreIDs(ItemStack stack)` Gets all the integer ID for the ores that the specified item stakc is registered to.
    `static java.lang.String` | `getOreName(int id)` Reverse of getOreID, will not create new entries.
    `static java.lang.String[]` | `getOreNames()` Retrieves a list of all unique ore names that are already registered.
    `static java.util.ArrayList<ItemStack>` | `getOres(java.lang.Integer id)` Deprecated.
    `static java.util.ArrayList<ItemStack>` | `getOres(java.lang.String name)` Retrieves the ArrayList of items that are registered to this ore type.
    `static void` | `initVanillaEntries()`
    `static boolean` | `itemMatches(ItemStack target, ItemStack input, boolean strict)`
    `static void` | `rebakeMap()`
    `static void` | `registerOre(int id, Block ore)` Deprecated.
    `static void` | `registerOre(int id, Item ore)` Deprecated.
    `static void` | `registerOre(int id, ItemStack ore)` Deprecated.
    `static void` | `registerOre(java.lang.String name, Block ore)`
    `static void` | `registerOre(java.lang.String name, Item ore)`
    `static void` | `registerOre(java.lang.String name, ItemStack ore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_LIST

          public static final java.util.ArrayList<ItemStack> EMPTY_LIST

    - #### WILDCARD_VALUE

          public static final int WILDCARD_VALUE

      Minecraft changed from -1 to Short.MAX_VALUE in 1.5 release for the "block wildcard". Use this in case it changes again.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OreDictionary

          public OreDictionary()

  - ### Method Detail

    - #### initVanillaEntries

          public static void initVanillaEntries()

    - #### getOreID

          public static int getOreID(java.lang.String name)

      Gets the integer ID for the specified ore name. If the name does not have a ID it assigns it a new one.
      Parameters:
        `name` - The unique name for this ore 'oreIron', 'ingotIron', etc..
      Returns:
        A number representing the ID for this ore type

    - #### getOreName

          public static java.lang.String getOreName(int id)

      Reverse of getOreID, will not create new entries.
      Parameters:
        `id` - The ID to translate to a string
      Returns:
        The String name, or "Unknown" if not found.

    - #### getOreID

          @Deprecated
          public static int getOreID(ItemStack stack)

      Deprecated.
      Gets the integer ID for the specified item stack. If the item stack is not linked to any ore, this will return -1 and no new entry will be created.
      Parameters:
        `stack` - The item stack of the ore.
      Returns:
        A number representing the ID for this ore type, or -1 if couldn't find it.

    - #### getOreIDs

          public static int[] getOreIDs(ItemStack stack)

      Gets all the integer ID for the ores that the specified item stakc is registered to. If the item stack is not linked to any ore, this will return an empty array and no new entry will be created.
      Parameters:
        `stack` - The item stack of the ore.
      Returns:
        An array of ids that this ore is registerd as.

    - #### getOres

          public static java.util.ArrayList<ItemStack> getOres(java.lang.String name)

      Retrieves the ArrayList of items that are registered to this ore type. Creates the list as empty if it did not exist. The returned List is unmodifiable, but will be updated if a new ore is registered using registerOre
      Parameters:
        `name` - The ore name, directly calls getOreID
      Returns:
        An arrayList containing ItemStacks registered for this ore

    - #### getOreNames

          public static java.lang.String[] getOreNames()

      Retrieves a list of all unique ore names that are already registered.
      Returns:
        All unique ore names that are currently registered.

    - #### getOres

          @Deprecated
          public static java.util.ArrayList<ItemStack> getOres(java.lang.Integer id)

      Deprecated.
      Retrieves the ArrayList of items that are registered to this ore type. Creates the list as empty if it did not exist. Warning: In 1.8, the return value will become a immutible list, and this function WILL NOT create the entry if the ID doesn't exist, IDs are intended to be internal OreDictionary things and modders should not ever code them in.
      Parameters:
        `id` - The ore ID, see getOreID
      Returns:
        An List containing ItemStacks registered for this ore

    - #### itemMatches

          public static boolean itemMatches(ItemStack target,
                            ItemStack input,
                            boolean strict)

    - #### registerOre

          public static void registerOre(java.lang.String name,
                         Item ore)

    - #### registerOre

          public static void registerOre(java.lang.String name,
                         Block ore)

    - #### registerOre

          public static void registerOre(java.lang.String name,
                         ItemStack ore)

    - #### registerOre

          @Deprecated
          public static void registerOre(int id,
                                    Item ore)

      Deprecated.

    - #### registerOre

          @Deprecated
          public static void registerOre(int id,
                                    Block ore)

      Deprecated.

    - #### registerOre

          @Deprecated
          public static void registerOre(int id,
                                    ItemStack ore)

      Deprecated.

    - #### rebakeMap

          public static void rebakeMap()